<h6 class="title mb-3 primary font-medium-0">{{ routeTitle | translate }}</h6>
<div class="profile px-2">
    <div class="d-flex" *ngIf="colaborator">
        <app-card-statistics [title]="'modules.colaborator.profile.classificationUser'" [subtitle]="colaborator.statusLabel" [classTitle]="'font-small-2'" [classSubTitle]="'font-weight-bold'" [statusClass]="statusClass"></app-card-statistics>
        <app-card-statistics [title]="'modules.colaborator.profile.registerDate'" [subtitle]="colaborator.createdAt | date:'dd/MM/yyyy'" [classTitle]="'font-small-2'" [classSubTitle]="'font-weight-bold'"></app-card-statistics>
        <app-card-statistics *ngIf="colaborator.city" [title]="'modules.colaborator.profile.zone'" [subtitle]="colaborator.neighborhood ? colaborator.neighborhood.name + ', ' + colaborator.city.name : colaborator.city.name" [classTitle]="'font-small-2'" [classSubTitle]="'font-weight-bold'"></app-card-statistics>
        <app-card-statistics *ngIf="colaborator.neighborhood" [title]="'modules.colaborator.profile.caseForZone'" [subtitle]="colaborator.neighborhood ? colaborator.neighborhood.areInfected : colaborator.city.areInfected" [classTitle]="'font-small-2'" [classSubTitle]="'font-weight-bold'"></app-card-statistics>
    </div>
</div>

<app-details-colaborator [colaborator]="colaborator" (updateQuarantined)="getProfile()"></app-details-colaborator>

<!-- Filters -->
<form novalidate [formGroup]="filterForm" (ngSubmit)="onSubmitFilterForm()" class="form form-horizontal form-bordered w-100 filters">
    <div class="row">
        <div class="col-xs-12 col-sm-3 pr-1">
            <app-input-date-time [showIcon]="false" [showHours]="false" [control]="filterForm.get('from')" [placeholder]="'Desde...'" class="dashboard"></app-input-date-time>
        </div>
        <div class="col-xs-12 col-sm-3 pr-1">
            <app-input-date-time [showIcon]="false" [showHours]="false" [control]="filterForm.get('to')" [placeholder]="'Hasta...'" class="dashboard"></app-input-date-time>
        </div>
        <div class="col-xs-12 col-sm-3 pl-xs-1 pl-xs-1 pr-1">
            <button type="submit" class="btn btn-filter font-small-2 px-5 mt-1">{{ 'forms.buttons.filter' | translate}}</button>
        </div>
    </div>
</form>

<app-map [markers]="markers" [routes]="routes" [latitude]="mapLat" [longitude]="mapLng" [zoom]="mapZoom" [filters]="filtersMap" (changeFilter)="changeMapFilters($event)"></app-map>